import React, { useState } from 'react';
import { Button, Row, Col, Checkbox, Radio, Input, Space } from 'antd';
import WangEditor from '@/components/WangEditor';

export default (props) => {
  const [formData, setFormData] = useState({
    question: undefined,
    answerType: 'radio',
    correctAnswers: undefined,
    optionA: undefined,
    optionB: undefined,
    optionC: undefined,
    optionD: undefined,
  });

  // const [answerTypeValue, setAnswerTypeValue] = useState([])

  const handleFormChange = (field) => (e) => {
    const value = e && e.target ? e.target.value : e;
    console.log('------111--->', field, e, value);
    setFormData({
      ...formData,
      [field]: value,
    });
  };

  const handleCorrectAnswers = () => {};

  const handleSubmit = () => {};

  const handleCancel = () => {
    if (props.onCancel) {
      props.onCancel();
    }
  };

  const answerTypeDict = [
    { value: 'switch', label: '判断' },
    { value: 'radio', label: '单选' },
    { value: 'checkbox', label: '多选' },
  ];

  return (
    <div>
      <Space size="large" direction="vertical" style={{ width: '100%' }}>
        <section>
          <h3>试题:</h3>
          <WangEditor value={formData.question} onChange={handleFormChange('question')} />
        </section>

        <section>
          <h3>选项:</h3>
          <Space size="large" direction="vertical" style={{ width: '100%' }}>
            <Row gutter="24">
              <Col span={12}>
                <Input addonBefore="A" onChange={handleFormChange('optionA')} />
              </Col>
              <Col span={12}>
                <Input addonBefore="B" onChange={handleFormChange('optionB')} />
              </Col>
            </Row>
            <Row gutter="24">
              <Col span={12}>
                <Input addonBefore="C" onChange={handleFormChange('optionC')} />
              </Col>
              <Col span={12}>
                <Input addonBefore="D" onChange={handleFormChange('optionD')} />
              </Col>
            </Row>
          </Space>
        </section>

        <section>
          <Row gutter="24">
            <Col span={12}>
              <h3>题型:</h3>
              <Radio.Group
                options={answerTypeDict}
                value={formData.answerType}
                onChange={handleFormChange('answerType')}
              />
            </Col>
            <Col span={12}>
              <h3>正确答案:</h3>
              {formData.answerType === 'switch' && (
                <Radio.Group onChange={handleCorrectAnswers} style={{ width: '100%' }}>
                  <Row gutter="12">
                    <Col span={6}>
                      <Radio value="A">是</Radio>
                    </Col>
                    <Col span={6}>
                      <Radio value="B">否</Radio>
                    </Col>
                  </Row>
                </Radio.Group>
              )}
              {formData.answerType === 'radio' && (
                <Radio.Group onChange={handleCorrectAnswers} style={{ width: '100%' }}>
                  <Row gutter="12">
                    <Col span={6}>
                      <Radio value="A">A</Radio>
                    </Col>
                    <Col span={6}>
                      <Radio value="B">B</Radio>
                    </Col>
                    <Col span={6}>
                      <Radio value="C">C</Radio>
                    </Col>
                    <Col span={6}>
                      <Radio value="D">D</Radio>
                    </Col>
                  </Row>
                </Radio.Group>
              )}
              {formData.answerType === 'checkbox' && (
                <Checkbox.Group onChange={handleCorrectAnswers} style={{ width: '100%' }}>
                  <Row gutter="12">
                    <Col span={6}>
                      <Checkbox value="A">A</Checkbox>
                    </Col>
                    <Col span={6}>
                      <Checkbox value="B">B</Checkbox>
                    </Col>
                    <Col span={6}>
                      <Checkbox value="C">C</Checkbox>
                    </Col>
                    <Col span={6}>
                      <Checkbox value="D">D</Checkbox>
                    </Col>
                  </Row>
                </Checkbox.Group>
              )}
            </Col>
          </Row>
        </section>

        <section>
          <Row gutter="24">
            <Col span={4}>
              <Button type="primary" onClick={handleSubmit}>
                确定
              </Button>
            </Col>
            <Col span={4}>
              <Button type="default" onClick={handleCancel}>
                取消
              </Button>
            </Col>
          </Row>
        </section>
      </Space>
    </div>
  );
};
